
function y = jiggle(x, am)
% Funkce pro přidání náhodného šumu do dat.
% y = jiggle(x, am)
% x     - vstupní data
% am    - amplituda šumu (volitelný parametr, defaultně 1% rozsahu x)
% y     - výstupní data s přidaným šumem

% Určení amplitudy šumu
aa=max(x);
a=aa/100;
if nargin>1
    a=aa*am;
end

[m,n]=size(x);
y=x+a*randn(m,n);
end


